import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import { EditArticleBody } from './EditArticleBody';
import * as mockups from '../../data/mockups';
const postMocks = mockups.postMocks;
const postCategoryMocks = mockups.postCategoryMocks;
console.log(mockups, mockups.postMocks, postMocks, postCategoryMocks);

<Meta title="Inputs/EditArticleBody" component={EditArticleBody} />

# EditArticleBody
 
An editable input for body article values
    
<Preview>
  <Story name="default">
    <EditArticleBody categories={postCategoryMocks.toArray()} />
  </Story>
</Preview>

<Preview>
  <Story name="filled">
    <EditArticleBody post={postMocks.sample()} categories={postCategoryMocks.toArray()} />
  </Story>
</Preview>